io.milvus.param.bulkinsert

## Class BulkInsertParam.Builder

- java.lang.Object
- - io.milvus.param.bulkinsert.BulkInsertParam.Builder

- Enclosing class:
    BulkInsertParam

      public static final class BulkInsertParam.Builder
      extends java.lang.Object

  Builder for `BulkInsertParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkInsertParam.Builder` | `addFile(@NonNull java.lang.String file)` Adds a file path.
    `BulkInsertParam` | `build()` Verifies parameters and creates a new `BulkInsertParam` instance.
    `BulkInsertParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `BulkInsertParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `BulkInsertParam.Builder` | `withFiles(@NonNull java.util.List<java.lang.String> files)` Sets the path of the files.
    `BulkInsertParam.Builder` | `withOption(java.lang.String key, java.lang.String value)` Sets the options of the request
    `BulkInsertParam.Builder` | `withPartitionName(java.lang.String partitionName)` Sets the partition name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public BulkInsertParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public BulkInsertParam.Builder withCollectionName(@NonNull
                                                            @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public BulkInsertParam.Builder withPartitionName(java.lang.String partitionName)

      Sets the partition name. partition name can be null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### withFiles

          public BulkInsertParam.Builder withFiles(@NonNull
                                                   @NonNull java.util.List<java.lang.String> files)

      Sets the path of the files. The paths cannot be empty or null. Each file path must be a relative path under the Milvus storage root path.
      Parameters:
        `files` - a `List` of `String`
      Returns:
        `Builder`

    - #### addFile

          public BulkInsertParam.Builder addFile(@NonNull
                                                 @NonNull java.lang.String file)

      Adds a file path. The path cannot be empty or null. The file path must be a relative path under the Milvus storage root path.
      Parameters:
        `file` - a `String`
      Returns:
        `Builder`

    - #### withOption

          public BulkInsertParam.Builder withOption(java.lang.String key,
                                                    java.lang.String value)

      Sets the options of the request
      Parameters:
        `key` - a `List` of `String`
        `value` - a `List` of `String`
      Returns:
        `Builder`

    - #### build

          public BulkInsertParam build()
                                throws ParamException

      Verifies parameters and creates a new `BulkInsertParam` instance.
      Returns:
        `BulkInsertParam`
      Throws:
        `ParamException`